aboutsummaryrefslogtreecommitdiffstats
path: root/testing/stop-testing
diff options
context:
space:
mode:
authorMartin Willi <martin@strongswan.org>2006-04-28 07:14:48 +0000
committerMartin Willi <martin@strongswan.org>2006-04-28 07:14:48 +0000
commit997358a6c475c8886cce388ab325184a1ff733c9 (patch)
tree27a15790e030fc186d00cd710d2a3540f4defe69 /testing/stop-testing
parent52923c9acb349adec3d1cc039e7a74c2e822da6e (diff)
downloadstrongswan-997358a6c475c8886cce388ab325184a1ff733c9.tar.bz2
strongswan-997358a6c475c8886cce388ab325184a1ff733c9.tar.xz
- import of strongswan-2.7.0
- applied patch for charon
Diffstat (limited to 'testing/stop-testing')
-rwxr-xr-xtesting/stop-testing51
1 files changed, 51 insertions, 0 deletions
diff --git a/testing/stop-testing b/testing/stop-testing
new file mode 100755
index 000000000..5b53505ac
--- /dev/null
+++ b/testing/stop-testing
@@ -0,0 +1,51 @@
+#!/bin/bash
+# Stop all UML instances and UML switches
+#
+# Copyright (C) 2004 Eric Marchionni, Patrik Rayo
+# Zuercher Hochschule Winterthur
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version. See <http://www.fsf.org/copyleft/gpl.txt>.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# RCSID $Id: stop-testing,v 1.3 2004/12/07 18:04:57 as Exp $
+
+DIR=`dirname $0`
+
+source $DIR/scripts/function.sh
+
+[ -f $DIR/testing.conf ] || die "No configuration file testing.conf found."
+
+source $DIR/testing.conf
+
+if [ "$#" -eq 0 ]
+then
+ HOSTS=$STRONGSWANHOSTS
+else
+ HOSTS=$*
+fi
+
+#####################################################
+# Shutting down the uml instances
+#
+cecho-n " * Halting all UML instances.."
+for host in $HOSTS
+do
+ uml_mconsole $host halt &> /dev/null
+done
+cecho "done"
+
+#####################################################
+# Shutting down the uml switches
+#
+cecho-n " * Stopping the UML switches.."
+killall uml_switch &> /dev/null
+rm -f /tmp/umlswitch[012] &> /dev/null 2>&1
+cecho "done"
+